From 4d7f95b17f63b2007b97fc8b40d14c2c303567af Mon Sep 17 00:00:00 2001
From: Sydney Anne Erickson <sydney-anne@elixxir.io>
Date: Wed, 20 Jul 2022 17:09:42 +0000
Subject: [PATCH] Add a comment explaining network.sh

---
 basice2e/network.sh | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/basice2e/network.sh b/basice2e/network.sh
index fd9f41b..fa821fb 100755
--- a/basice2e/network.sh
+++ b/basice2e/network.sh
@@ -1,3 +1,10 @@
+# This script is used to start a basic 5 node network for running clients on. It is meant to be `source`'d into a script
+# which will run clients on the network, such as `client-session-tests.sh` or the main `run.sh`. 
+# 
+# You **must** source it, because otherwise the `trap finish EXIT` instruction will cause the network to stop when 
+# network.sh returns to your script or shell. Sourcing it will "import" the commands into your script instead, causing 
+# the trap instruction to stop the network when your script/shell exits.
+
 echo "STARTING SERVERS..."
 
 # Copy udbContact into place when running locally.
-- 
GitLab